# PetscViewerASCIIPushTab

Adds one more tab to the amount that PetscViewerASCIIPrintf() lines are tabbed.

### Synopsis

    #include "petsc.h"
    PetscErrorCode  PetscViewerASCIIPushTab(PetscViewer viewer)

Not Collective, but only first processor in set has any effect

### Input Parameters

viewer -optained with PetscViewerASCIIOpen()

### Fortran Note

This routine is not supported in Fortran.

### See Also

PetscPrintf(), PetscSynchronizedPrintf(), PetscViewerASCIIPrintf(),
PetscViewerASCIIPopTab(), PetscViewerASCIISynchronizedPrintf(), PetscViewerASCIIOpen(), PetscViewerCreate(), PetscViewerDestroy(), PetscViewerSetType(), PetscViewerASCIIGetPointer()

Level:developer
Location: src/sys/viewer/impls/ascii/filev.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages